| The Gaudi Framework v32r1 (f65d50dc)

Static Public Member Functions | List of all members
Gaudi::Utils::HistoStats Class Reference

The collection of trivial functions to access the statistical information for the histograms. More...

`#include <GaudiUtils/HistoStats.h>`

## Static Public Member Functions
static double | moment (const AIDA::IHistogram1D *histo, const unsigned int order, const double value=0)
| get the "bin-by-bin"-moment around the specified "value" More...
static double | momentErr (const AIDA::IHistogram1D *histo, const unsigned int order)
| evaluate the uncertanty for 'bin-by-bin'-moment More...
static double | centralMoment (const AIDA::IHistogram1D *histo, const unsigned int order)
| evaluate the 'bin-by-bin'-central moment (around the mean value) More...
static double | centralMomentErr (const AIDA::IHistogram1D *histo, const unsigned int order)
| evaluate the uncertanty for 'bin-by-bin'-central moment (around the mean value) ( the uncertanty is calculated with O(1/n2) precision) More...
static double | skewness (const AIDA::IHistogram1D *histo)
| get the skewness for the histogram More...
static double | skewnessErr (const AIDA::IHistogram1D *histo)
| get the error in skewness for the histogram More...
static double | kurtosis (const AIDA::IHistogram1D *histo)
| get the kurtosis for the histogram More...
static double | kurtosisErr (const AIDA::IHistogram1D *histo)
| get the error in kurtosis for the histogram More...
static double | mean (const AIDA::IHistogram1D *histo)
| get the mean value for the histogram (just for completeness) More...
static double | meanErr (const AIDA::IHistogram1D *histo)
| get an error in the mean value More...
static double | rms (const AIDA::IHistogram1D *histo)
| get the rms value for the histogram (just for completeness) More...
static double | rmsErr (const AIDA::IHistogram1D *histo)
| get an error in the rms value More...
static double | nEff (const AIDA::IHistogram1D *histo)
| get the effective entries (just for completeness) More...
static double | sumBinHeightErr (const AIDA::IHistogram1D *histo)
| get an error in the sum bin height ("in-range integral") More...
static double | sumAllBinHeightErr (const AIDA::IHistogram1D *histo)
| get an error in the sum of all bin height ("integral") More...
static double | overflowEntriesFrac (const AIDA::IHistogram1D *histo)
| the fraction of overflow entries (useful for shape comparison) More...
static double | underflowEntriesFrac (const AIDA::IHistogram1D *histo)
| the fraction of underflow entries (useful for shape comparison) More...
static double | overflowEntriesFracErr (const AIDA::IHistogram1D *histo)
| error on fraction of overflow entries (useful for shape comparison) More...
static double | underflowEntriesFracErr (const AIDA::IHistogram1D *histo)
| the error on fraction of underflow entries (useful for shape comparison) More...
static double | overflowIntegralFrac (const AIDA::IHistogram1D *histo)
| the fraction of overflow intergal (useful for shape comparison) More...
static double | underflowIntegralFrac (const AIDA::IHistogram1D *histo)
| the fraction of underflow integral (useful for shape comparison) More...
static double | overflowIntegralFracErr (const AIDA::IHistogram1D *histo)
| the error on fraction of overflow intergal More...
static double | underflowIntegralFracErr (const AIDA::IHistogram1D *histo)
| the error on fraction of underflow integral More...
static long | nEntries (const AIDA::IHistogram1D *histo, const int imax)
| get number of entries in histogram up to the certain bin (not-included) More...
static long | nEntries (const AIDA::IHistogram1D *histo, const int imin, const int imax)
| get number of entries in histogram form the certain minimal bin up to the certain maximal bin (not-included) More...
static double | nEntriesFrac (const AIDA::IHistogram1D *histo, const int imax)
| get the fraction of entries in histogram up to the certain bin (not-included) More...
static double | nEntriesFrac (const AIDA::IHistogram1D *histo, const int imin, const int imax)
| get fraction of entries in histogram form the certain minimal bin up to the certain maximal bin (not-included) More...
static double | nEntriesFracErr (const AIDA::IHistogram1D *histo, const int imax)
| get the (binominal) error for the fraction of entries in histogram up to the certain bin (not-included) More...
static double | nEntriesFracErr (const AIDA::IHistogram1D *histo, const int imin, const int imax)
| get the (binomial) error for the fraction of entries in histogram from the certain minimal bin up to the certain maximal bin (not-included) More...
static double | moment (const AIDA::IProfile1D *histo, const unsigned int order, const double value=0)
| get the "bin-by-bin"-moment around the specified "value" More...
static double | momentErr (const AIDA::IProfile1D *histo, const unsigned int order)
| evaluate the uncertanty for 'bin-by-bin'-moment More...
static double | centralMoment (const AIDA::IProfile1D *histo, const unsigned int order)
| evaluate the 'bin-by-bin'-central moment (around the mean value) More...
static double | centralMomentErr (const AIDA::IProfile1D *histo, const unsigned int order)
| evaluate the uncertanty for 'bin-by-bin'-central moment (around the mean value) ( the uncertanty is calculated with O(1/n2) precision) More...
static double | skewness (const AIDA::IProfile1D *histo)
| get the skewness for the profile histogram More...
static double | skewnessErr (const AIDA::IProfile1D *histo)
| get the error in skewness for the profile histogram More...
static double | kurtosis (const AIDA::IProfile1D *histo)
| get the kurtosis for the profile histogram More...
static double | kurtosisErr (const AIDA::IProfile1D *histo)
| get the error in kurtosis for the profile histogram More...
static double | mean (const AIDA::IProfile1D *histo)
| get the mean value for the profile histogram (just for completeness) More...
static double | meanErr (const AIDA::IProfile1D *histo)
| get an error in the mean value More...
static double | rms (const AIDA::IProfile1D *histo)
| get the rms value for the profile histogram (just for completeness) More...
static double | rmsErr (const AIDA::IProfile1D *histo)
| get an error in the rms value More...
static double | sumBinHeightErr (const AIDA::IProfile1D *histo)
| get an error in the sum bin height ("in-range integral") More...
static double | sumAllBinHeightErr (const AIDA::IProfile1D *histo)
| get an error in the sum of all bin height ("integral") More...
static double | nEff (const AIDA::IProfile1D *histo)
| get the effective entries (just for completeness) More...
static double | overflowEntriesFrac (const AIDA::IProfile1D *histo)
| the fraction of overflow entries (useful for shape comparison) More...
static double | underflowEntriesFrac (const AIDA::IProfile1D *histo)
| the fraction of underflow entries (useful for shape comparison) More...
static double | overflowEntriesFracErr (const AIDA::IProfile1D *histo)
| error on fraction of overflow entries (useful for shape comparison) More...
static double | underflowEntriesFracErr (const AIDA::IProfile1D *histo)
| the error on fraction of underflow entries (useful for shape comparison) More...
static double | overflowIntegralFrac (const AIDA::IProfile1D *histo)
| the fraction of overflow intergal (useful for shape comparison) More...
static double | underflowIntegralFrac (const AIDA::IProfile1D *histo)
| the fraction of underflow integral (useful for shape comparison) More...
static double | overflowIntegralFracErr (const AIDA::IProfile1D *histo)
| the error on fraction of overflow intergal More...
static double | underflowIntegralFracErr (const AIDA::IProfile1D *histo)
| the error on fraction of underflow integral More...
static long | nEntries (const AIDA::IProfile1D *histo, const int imax)
| get number of entries in profile histogram up to the certain bin (not-included) More...
static long | nEntries (const AIDA::IProfile1D *histo, const int imin, const int imax)
| get number of entries in profile histogram form the certain minimal bin up to the certain maximal bin (not-included) More...
static double | nEntriesFrac (const AIDA::IProfile1D *histo, const int imax)
| get the fraction of entries in profile histogram up to the certain bin (not-included) More...
static double | nEntriesFrac (const AIDA::IProfile1D *histo, const int imin, const int imax)
| get fraction of entries in profile histogram form the certain minimal bin up to the certain maximal bin (not-included) More...
static double | nEntriesFracErr (const AIDA::IProfile1D *histo, const int imax)
| get the (binominal) error for the fraction of entries in profile histogram up to the certain bin (not-included) More...
static double | nEntriesFracErr (const AIDA::IProfile1D *histo, const int imin, const int imax)
| get the (binomial) error for the fraction of entries in the profile histogram from the certain minimal bin up to the certain maximal bin (not-included) More...

## Detailed Description

The collection of trivial functions to access the statistical information for the histograms.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-08-06

Definition at line 30 of file HistoStats.h.

## Member Function Documentation

## ◆ centralMoment() [1/2]

double Gaudi::Utils::HistoStats::centralMoment | ( | const AIDA::IHistogram1D * | histo,
|  | const unsigned int | order
| ) |  |
| static

evaluate the 'bin-by-bin'-central moment (around the mean value)

Parameters

  histo | histogram
  order | the moment parameter
  value | central value

Returns
  the evaluated central moment

Definition at line 544 of file HistoStats.cpp.

544 {
545 return _centralMoment( histo, order );
546 }

## ◆ centralMoment() [2/2]

double Gaudi::Utils::HistoStats::centralMoment | ( | const AIDA::IProfile1D * | histo,
|  | const unsigned int | order
| ) |  |
| static

evaluate the 'bin-by-bin'-central moment (around the mean value)

Parameters

  histo | histogram
  order | the moment parameter
  value | central value

Returns
  the evaluated central moment

Definition at line 555 of file HistoStats.cpp.

555 {
556 return _centralMoment( histo, order );
557 }

## ◆ centralMomentErr() [1/2]

double Gaudi::Utils::HistoStats::centralMomentErr | ( | const AIDA::IHistogram1D * | histo,
|  | const unsigned int | order
| ) |  |
| static

evaluate the uncertanty for 'bin-by-bin'-central moment (around the mean value) ( the uncertanty is calculated with O(1/n2) precision)

Parameters

  histo | histogram
  order | the moment parameter
  value | central value

Returns
  the evaluated uncertanty in the central moment

Definition at line 568 of file HistoStats.cpp.

568 {
569 return _centralMomentErr( histo, order );
570 }

## ◆ centralMomentErr() [2/2]

double Gaudi::Utils::HistoStats::centralMomentErr | ( | const AIDA::IProfile1D * | histo,
|  | const unsigned int | order
| ) |  |
| static

evaluate the uncertanty for 'bin-by-bin'-central moment (around the mean value) ( the uncertanty is calculated with O(1/n2) precision)

Parameters

  histo | histogram
  order | the moment parameter
  value | central value

Returns
  the evaluated uncertanty in the central moment

Definition at line 581 of file HistoStats.cpp.

581 {
582 return _centralMomentErr( histo, order );
583 }

## ◆ kurtosis() [1/2]

double Gaudi::Utils::HistoStats::kurtosis | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get the kurtosis for the histogram

Definition at line 603 of file HistoStats.cpp.

603 { return _kurtosis( histo ); }

## ◆ kurtosis() [2/2]

double Gaudi::Utils::HistoStats::kurtosis | ( | const AIDA::IProfile1D * | histo | ) |
| static

get the kurtosis for the profile histogram

Definition at line 607 of file HistoStats.cpp.

607 { return _kurtosis( histo ); }

## ◆ kurtosisErr() [1/2]

double Gaudi::Utils::HistoStats::kurtosisErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get the error in kurtosis for the histogram

Definition at line 611 of file HistoStats.cpp.

611 { return _kurtosisErr( histo ); }

## ◆ kurtosisErr() [2/2]

double Gaudi::Utils::HistoStats::kurtosisErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

get the error in kurtosis for the profile histogram

Definition at line 615 of file HistoStats.cpp.

615 { return _kurtosisErr( histo ); }

## ◆ mean() [1/2]

double Gaudi::Utils::HistoStats::mean | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get the mean value for the histogram (just for completeness)

Definition at line 627 of file HistoStats.cpp.

627 { return _mean( histo ); }

## ◆ mean() [2/2]

double Gaudi::Utils::HistoStats::mean | ( | const AIDA::IProfile1D * | histo | ) |
| static

get the mean value for the profile histogram (just for completeness)

Definition at line 631 of file HistoStats.cpp.

631 { return _mean( histo ); }

## ◆ meanErr() [1/2]

double Gaudi::Utils::HistoStats::meanErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get an error in the mean value

Definition at line 635 of file HistoStats.cpp.

635 { return _meanErr( histo ); }

## ◆ meanErr() [2/2]

double Gaudi::Utils::HistoStats::meanErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

get an error in the mean value

Definition at line 639 of file HistoStats.cpp.

639 { return _meanErr( histo ); }

## ◆ moment() [1/2]

double Gaudi::Utils::HistoStats::moment | ( | const AIDA::IHistogram1D * | histo,
|  | const unsigned int | order,
|  | const double | value = `0`
| ) |  |
| static

get the "bin-by-bin"-moment around the specified "value"

Parameters

  histo | histogram
  order | the moment parameter
  value | central value

Returns
  the evaluated moment

Definition at line 499 of file HistoStats.cpp.

500 {
501 return _moment( histo, order, value );
502 }

## ◆ moment() [2/2]

double Gaudi::Utils::HistoStats::moment | ( | const AIDA::IProfile1D * | histo,
|  | const unsigned int | order,
|  | const double | value = `0`
| ) |  |
| static

get the "bin-by-bin"-moment around the specified "value"

Parameters

  histo | histogram
  order | the moment parameter
  value | central value

Returns
  the evaluated moment

Definition at line 511 of file HistoStats.cpp.

511 {
512 return _moment( histo, order, value );
513 }

## ◆ momentErr() [1/2]

double Gaudi::Utils::HistoStats::momentErr | ( | const AIDA::IHistogram1D * | histo,
|  | const unsigned int | order
| ) |  |
| static

evaluate the uncertanty for 'bin-by-bin'-moment

Parameters

  histo | histogram
  order | the moment parameter
  value | central value

Returns
  the evaluated uncertanty in the moment

Definition at line 522 of file HistoStats.cpp.

522 {
523 return _momentErr( histo, order );
524 }

## ◆ momentErr() [2/2]

double Gaudi::Utils::HistoStats::momentErr | ( | const AIDA::IProfile1D * | histo,
|  | const unsigned int | order
| ) |  |
| static

evaluate the uncertanty for 'bin-by-bin'-moment

Parameters

  histo | histogram
  order | the moment parameter
  value | central value

Returns
  the evaluated uncertanty in the moment

Definition at line 533 of file HistoStats.cpp.

533 {
534 return _momentErr( histo, order );
535 }

## ◆ nEff() [1/2]

double Gaudi::Utils::HistoStats::nEff | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get the effective entries (just for completeness)

Definition at line 619 of file HistoStats.cpp.

619 { return _nEff( histo ); }

## ◆ nEff() [2/2]

double Gaudi::Utils::HistoStats::nEff | ( | const AIDA::IProfile1D * | histo | ) |
| static

get the effective entries (just for completeness)

Definition at line 623 of file HistoStats.cpp.

623 { return _nEff( histo ); }

## ◆ nEntries() [1/4]

long Gaudi::Utils::HistoStats::nEntries | ( | const AIDA::IHistogram1D * | histo,
|  | const int | imax
| ) |  |
| static

get number of entries in histogram up to the certain bin (not-included)

Attention
  underflow bin is included!

Parameters

  histo | the pointer to the histogram
  imax | the bin number (not included)
  number | of entries

Definition at line 783 of file HistoStats.cpp.

783 {
784 return _nEntries( histo, imax );
785 }

## ◆ nEntries() [2/4]

long Gaudi::Utils::HistoStats::nEntries | ( | const AIDA::IHistogram1D * | histo,
|  | const int | imin,
|  | const int | imax
| ) |  |
| static

get number of entries in histogram form the certain minimal bin up to the certain maximal bin (not-included)

Parameters

  histo | the pointer to the histogram
  imin | the minimal bin number (included)
  imax | the maximal bin number (not included)
  number | of entries

Definition at line 807 of file HistoStats.cpp.

810 {
811 return _nEntries( histo, imin, imax );
812 }

## ◆ nEntries() [3/4]

long Gaudi::Utils::HistoStats::nEntries | ( | const AIDA::IProfile1D * | histo,
|  | const int | imax
| ) |  |
| static

get number of entries in profile histogram up to the certain bin (not-included)

Attention
  underflow bin is included!

Parameters

  histo | the pointer to the histogram
  imax | the bin number (not included)
  number | of entries

Definition at line 795 of file HistoStats.cpp.

795 {
796 return _nEntries( histo, imax );
797 }

## ◆ nEntries() [4/4]

long Gaudi::Utils::HistoStats::nEntries | ( | const AIDA::IProfile1D * | histo,
|  | const int | imin,
|  | const int | imax
| ) |  |
| static

get number of entries in profile histogram form the certain minimal bin up to the certain maximal bin (not-included)

Parameters

  histo | the pointer to the histogram
  imin | the minimal bin number (included)
  imax | the maximal bin number (not included)
  number | of entries

Definition at line 822 of file HistoStats.cpp.

825 {
826 return _nEntries( histo, imin, imax );
827 }

## ◆ nEntriesFrac() [1/4]

double Gaudi::Utils::HistoStats::nEntriesFrac | ( | const AIDA::IHistogram1D * | histo,
|  | const int | imax
| ) |  |
| static

get the fraction of entries in histogram up to the certain bin (not-included)

Attention
  underflow bin is included!

Parameters

  histo | the pointer to the histogram
  imax | the bin number (not included)
  fraction | of entries

Definition at line 837 of file HistoStats.cpp.

837 {
838 return _nEntriesFrac( histo, imax );
839 }

## ◆ nEntriesFrac() [2/4]

double Gaudi::Utils::HistoStats::nEntriesFrac | ( | const AIDA::IHistogram1D * | histo,
|  | const int | imin,
|  | const int | imax
| ) |  |
| static

get fraction of entries in histogram form the certain minimal bin up to the certain maximal bin (not-included)

Parameters

  histo | the pointer to the histogram
  imin | the minimal bin number (included)
  imax | the maximal bin number (not included)
  fraction | of entries

Definition at line 861 of file HistoStats.cpp.

864 {
865 return _nEntriesFrac( histo, imin, imax );
866 }

## ◆ nEntriesFrac() [3/4]

double Gaudi::Utils::HistoStats::nEntriesFrac | ( | const AIDA::IProfile1D * | histo,
|  | const int | imax
| ) |  |
| static

get the fraction of entries in profile histogram up to the certain bin (not-included)

Attention
  underflow bin is included!

Parameters

  histo | the pointer to the histogram
  imax | the bin number (not included)
  fraction | of entries

Definition at line 849 of file HistoStats.cpp.

849 {
850 return _nEntriesFrac( histo, imax );
851 }

## ◆ nEntriesFrac() [4/4]

double Gaudi::Utils::HistoStats::nEntriesFrac | ( | const AIDA::IProfile1D * | histo,
|  | const int | imin,
|  | const int | imax
| ) |  |
| static

get fraction of entries in profile histogram form the certain minimal bin up to the certain maximal bin (not-included)

Parameters

  histo | the pointer to the histogram
  imin | the minimal bin number (included)
  imax | the maximal bin number (not included)
  fraction | of entries

Definition at line 876 of file HistoStats.cpp.

879 {
880 return _nEntriesFrac( histo, imin, imax );
881 }

## ◆ nEntriesFracErr() [1/4]

double Gaudi::Utils::HistoStats::nEntriesFracErr | ( | const AIDA::IHistogram1D * | histo,
|  | const int | imax
| ) |  |
| static

get the (binominal) error for the fraction of entries in histogram up to the certain bin (not-included)

Attention
  underflow bin is included!

Parameters

  histo | the pointer to the histogram
  imax | the bin number (not included)
  error | for the fraction of entries

Definition at line 891 of file HistoStats.cpp.

891 {
892 return _nEntriesFracErr( histo, imax );
893 }

## ◆ nEntriesFracErr() [2/4]

double Gaudi::Utils::HistoStats::nEntriesFracErr | ( | const AIDA::IHistogram1D * | histo,
|  | const int | imin,
|  | const int | imax
| ) |  |
| static

get the (binomial) error for the fraction of entries in histogram from the certain minimal bin up to the certain maximal bin (not-included)

Parameters

  histo | the pointer to the histogram
  imin | the minimal bin number (included)
  imax | the maximal bin number (not included)
  error | for the fraction of entries

Definition at line 915 of file HistoStats.cpp.

918 {
919 return _nEntriesFracErr( histo, imin, imax );
920 }

## ◆ nEntriesFracErr() [3/4]

double Gaudi::Utils::HistoStats::nEntriesFracErr | ( | const AIDA::IProfile1D * | histo,
|  | const int | imax
| ) |  |
| static

get the (binominal) error for the fraction of entries in profile histogram up to the certain bin (not-included)

Attention
  underflow bin is included!

Parameters

  histo | the pointer to the histogram
  imax | the bin number (not included)
  error | for the fraction of entries

Definition at line 903 of file HistoStats.cpp.

903 {
904 return _nEntriesFracErr( histo, imax );
905 }

## ◆ nEntriesFracErr() [4/4]

double Gaudi::Utils::HistoStats::nEntriesFracErr | ( | const AIDA::IProfile1D * | histo,
|  | const int | imin,
|  | const int | imax
| ) |  |
| static

get the (binomial) error for the fraction of entries in the profile histogram from the certain minimal bin up to the certain maximal bin (not-included)

Parameters

  histo | the pointer to the histogram
  imin | the minimal bin number (included)
  imax | the maximal bin number (not included)
  error | for the fraction of entries

Definition at line 930 of file HistoStats.cpp.

933 {
934 return _nEntriesFracErr( histo, imin, imax );
935 }

## ◆ overflowEntriesFrac() [1/2]

double Gaudi::Utils::HistoStats::overflowEntriesFrac | ( | const AIDA::IHistogram1D * | histo | ) |
| static

the fraction of overflow entries (useful for shape comparison)

Definition at line 681 of file HistoStats.cpp.

681 {
682 return _overflowEntriesFrac( histo );
683 }

## ◆ overflowEntriesFrac() [2/2]

double Gaudi::Utils::HistoStats::overflowEntriesFrac | ( | const AIDA::IProfile1D * | histo | ) |
| static

the fraction of overflow entries (useful for shape comparison)

Definition at line 687 of file HistoStats.cpp.

687 {
688 return _overflowEntriesFrac( histo );
689 }

## ◆ overflowEntriesFracErr() [1/2]

double Gaudi::Utils::HistoStats::overflowEntriesFracErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

error on fraction of overflow entries (useful for shape comparison)

Definition at line 729 of file HistoStats.cpp.

729 {
730 return _overflowEntriesFracErr( histo );
731 }

## ◆ overflowEntriesFracErr() [2/2]

double Gaudi::Utils::HistoStats::overflowEntriesFracErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

error on fraction of overflow entries (useful for shape comparison)

Definition at line 735 of file HistoStats.cpp.

735 {
736 return _overflowEntriesFracErr( histo );
737 }

## ◆ overflowIntegralFrac() [1/2]

double Gaudi::Utils::HistoStats::overflowIntegralFrac | ( | const AIDA::IHistogram1D * | histo | ) |
| static

the fraction of overflow intergal (useful for shape comparison)

Definition at line 705 of file HistoStats.cpp.

705 {
706 return _overflowIntegralFrac( histo );
707 }

## ◆ overflowIntegralFrac() [2/2]

double Gaudi::Utils::HistoStats::overflowIntegralFrac | ( | const AIDA::IProfile1D * | histo | ) |
| static

the fraction of overflow intergal (useful for shape comparison)

Definition at line 711 of file HistoStats.cpp.

711 {
712 return _overflowIntegralFrac( histo );
713 }

## ◆ overflowIntegralFracErr() [1/2]

double Gaudi::Utils::HistoStats::overflowIntegralFracErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

the error on fraction of overflow intergal

Definition at line 753 of file HistoStats.cpp.

753 {
754 return _overflowIntegralFracErr( histo );
755 }

## ◆ overflowIntegralFracErr() [2/2]

double Gaudi::Utils::HistoStats::overflowIntegralFracErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

the error on fraction of overflow intergal

Definition at line 759 of file HistoStats.cpp.

759 {
760 return _overflowIntegralFracErr( histo );
761 }

## ◆ rms() [1/2]

double Gaudi::Utils::HistoStats::rms | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get the rms value for the histogram (just for completeness)

Definition at line 643 of file HistoStats.cpp.

643 { return _rms( histo ); }

## ◆ rms() [2/2]

double Gaudi::Utils::HistoStats::rms | ( | const AIDA::IProfile1D * | histo | ) |
| static

get the rms value for the profile histogram (just for completeness)

Definition at line 647 of file HistoStats.cpp.

647 { return _rms( histo ); }

## ◆ rmsErr() [1/2]

double Gaudi::Utils::HistoStats::rmsErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get an error in the rms value

Definition at line 651 of file HistoStats.cpp.

651 { return _rmsErr( histo ); }

## ◆ rmsErr() [2/2]

double Gaudi::Utils::HistoStats::rmsErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

get an error in the rms value

Definition at line 655 of file HistoStats.cpp.

655 { return _rmsErr( histo ); }

## ◆ skewness() [1/2]

double Gaudi::Utils::HistoStats::skewness | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get the skewness for the histogram

Definition at line 587 of file HistoStats.cpp.

587 { return _skewness( histo ); }

## ◆ skewness() [2/2]

double Gaudi::Utils::HistoStats::skewness | ( | const AIDA::IProfile1D * | histo | ) |
| static

get the skewness for the profile histogram

Definition at line 591 of file HistoStats.cpp.

591 { return _skewness( histo ); }

## ◆ skewnessErr() [1/2]

double Gaudi::Utils::HistoStats::skewnessErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get the error in skewness for the histogram

Definition at line 595 of file HistoStats.cpp.

595 { return _skewnessErr( histo ); }

## ◆ skewnessErr() [2/2]

double Gaudi::Utils::HistoStats::skewnessErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

get the error in skewness for the profile histogram

Definition at line 599 of file HistoStats.cpp.

599 { return _skewnessErr( histo ); }

## ◆ sumAllBinHeightErr() [1/2]

double Gaudi::Utils::HistoStats::sumAllBinHeightErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get an error in the sum of all bin height ("integral")

Definition at line 669 of file HistoStats.cpp.

669 {
670 return _sumAllBinHeightErr( histo );
671 }

## ◆ sumAllBinHeightErr() [2/2]

double Gaudi::Utils::HistoStats::sumAllBinHeightErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

get an error in the sum of all bin height ("integral")

Definition at line 675 of file HistoStats.cpp.

675 {
676 return _sumAllBinHeightErr( histo );
677 }

## ◆ sumBinHeightErr() [1/2]

double Gaudi::Utils::HistoStats::sumBinHeightErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

get an error in the sum bin height ("in-range integral")

Definition at line 659 of file HistoStats.cpp.

659 {
660 return _sumBinHeightErr( histo );
661 }

## ◆ sumBinHeightErr() [2/2]

double Gaudi::Utils::HistoStats::sumBinHeightErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

get an error in the sum bin height ("in-range integral")

Definition at line 665 of file HistoStats.cpp.

665 { return _sumBinHeightErr( histo ); }

## ◆ underflowEntriesFrac() [1/2]

double Gaudi::Utils::HistoStats::underflowEntriesFrac | ( | const AIDA::IHistogram1D * | histo | ) |
| static

the fraction of underflow entries (useful for shape comparison)

Definition at line 693 of file HistoStats.cpp.

693 {
694 return _underflowEntriesFrac( histo );
695 }

## ◆ underflowEntriesFrac() [2/2]

double Gaudi::Utils::HistoStats::underflowEntriesFrac | ( | const AIDA::IProfile1D * | histo | ) |
| static

the fraction of underflow entries (useful for shape comparison)

Definition at line 699 of file HistoStats.cpp.

699 {
700 return _underflowEntriesFrac( histo );
701 }

## ◆ underflowEntriesFracErr() [1/2]

double Gaudi::Utils::HistoStats::underflowEntriesFracErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

the error on fraction of underflow entries (useful for shape comparison)

Definition at line 741 of file HistoStats.cpp.

741 {
742 return _underflowEntriesFracErr( histo );
743 }

## ◆ underflowEntriesFracErr() [2/2]

double Gaudi::Utils::HistoStats::underflowEntriesFracErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

the error on fraction of underflow entries (useful for shape comparison)

Definition at line 747 of file HistoStats.cpp.

747 {
748 return _underflowEntriesFracErr( histo );
749 }

## ◆ underflowIntegralFrac() [1/2]

double Gaudi::Utils::HistoStats::underflowIntegralFrac | ( | const AIDA::IHistogram1D * | histo | ) |
| static

the fraction of underflow integral (useful for shape comparison)

Definition at line 717 of file HistoStats.cpp.

717 {
718 return _underflowIntegralFrac( histo );
719 }

## ◆ underflowIntegralFrac() [2/2]

double Gaudi::Utils::HistoStats::underflowIntegralFrac | ( | const AIDA::IProfile1D * | histo | ) |
| static

the fraction of underflow integral (useful for shape comparison)

Definition at line 723 of file HistoStats.cpp.

723 {
724 return _underflowIntegralFrac( histo );
725 }

## ◆ underflowIntegralFracErr() [1/2]

double Gaudi::Utils::HistoStats::underflowIntegralFracErr | ( | const AIDA::IHistogram1D * | histo | ) |
| static

the error on fraction of underflow integral

Definition at line 765 of file HistoStats.cpp.

765 {
766 return _underflowIntegralFracErr( histo );
767 }

## ◆ underflowIntegralFracErr() [2/2]

double Gaudi::Utils::HistoStats::underflowIntegralFracErr | ( | const AIDA::IProfile1D * | histo | ) |
| static

the error on fraction of underflow integral

Definition at line 771 of file HistoStats.cpp.

771 {
772 return _underflowIntegralFracErr( histo );
773 }

The documentation for this class was generated from the following files:

- GaudiUtils/GaudiUtils/HistoStats.h
- GaudiUtils/src/Lib/HistoStats.cpp